/* =================================== */
/* navigation bar */
/* =================================== */
body {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}
.modal.fade .modal-dialog.modal-dialog-zoom {
  -webkit-transform: translate(0, 0) scale(0.5);
  transform: translate(0, 0) scale(0.5);
}
.modal.show .modal-dialog.modal-dialog-zoom {
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0, 0) scale(1);
}
nav {
  padding: 0.5rem 0 !important;
  margin-bottom:10px;
  position: fixed !important;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  color: white;
  padding: 0 !important;
  /*    margin-right: 3px;*/
  background-image: linear-gradient(to right, #0098d6 0%, #00cbd6 100%);
}
nav:before {
  content: "";
  position: absolute !important;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #222;
  opacity: 0.35;
  z-index: -1;
}
nav img {
  max-width: 220px !important;
  margin-right: 1rem;
  /*background-color: white;*/
  padding: 0.5rem 1rem;
  border-radius: 3px;
}
nav .nav-item {
  height: 100% !important;
  padding: 0 !important;
  margin: 0 0.5rem !important;
}
nav .nav-item .nav-link {
  color: #fff !important;
  font-size: 15px;
}
nav .nav-item .dropdown-menu {
  top: 150%;
  border-radius: 0;
  border: none !important;
  position: relative;
}
nav .nav-item .dropdown-menu:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(to right, #0098d6 0%, #00cbd6 100%);
  opacity: 0.9;
  z-index: -1;
}
nav .nav-item .dropdown-menu a {
  padding: 0.5rem 1rem;
  color: white;
  font-size: 14px;
  background: none;
}
nav .nav-item .dropdown-menu a:hover,
nav .nav-item .dropdown-menu a:focus {
  background: #00cbd60c;
}
nav .search_field {
  width: 100%;
  height: 100%;
  position: relative;
}
nav .search_field input {
  width: 100% !important;
  height: 100%;
  border: none;
  background: white;
  /* border: 1px solid #ccc; */
  box-shadow: inset 3px 3px 3px #cbced1, inset -3px -3px 3px #f0f4f7;
  /* padding:0.5rem 3rem 0.5rem 15px !important; */
  padding: 0.5rem 3rem 0.5rem 1rem !important;
  border-radius: 5px;
  color: #363636;
  outline: none;
}
nav .search_field .fas {
  position: absolute;
  top: 47%;
  right: 2%;
  transform: translate(-50%, -50%);
  font-size: 16px;
  color: #666;
  cursor: pointer;
}
::-webkit-input-placeholder {
  color: #9fa3b1;
}
::-moz-input-placeholder {
  color: #9fa3b1;
}
::-ms-input-placeholder {
  color: #9fa3b1;
}
nav .navbar-toggler {
  outline: none;
}
nav .navbar-toggler i {
  font-size: 25px !important;
  color: white;
}
.login {
  border: 1px solid whitesmoke;
  padding: 0.5rem 0.8rem;
  border-radius: 50px;
  margin-right: 0.5rem;
  cursor: pointer;
}

/* =================================== */
/* login modal */
/* =================================== */
#login .modal-content {
  position: relative;
}
#login .modal-content:after {
  content: "";
  position: absolute;
  top: 0%;
  left: 0%;
  bottom: 0%;
  right: 0;
  background: url("../assets/backgrounds/login-back.jpg");
  border-radius: 3px;
  opacity: 0.1;
}
#login [class*="col-"] {
  padding: 1rem 3rem !important;
  min-height: 50vh;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  position: relative;
  z-index: 1;
}
#login [class*="col-"]:first-child {
  padding: 2rem 0 2rem 3rem !important;
}
#login [class*="col-"]:first-child img {
  border-radius: 3px;
  /* min-width: 300px; */
}
#login [class*="col-"]:last-child {
  position: relative;
  /* overflow: hidden; */
}
#login [class*="col-"]:last-child:after {
  content: "";
  position: absolute;
  top: -2%;
  left: -10%;
  bottom: -2%;
  right: 0;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  background: white; /* fallback for old browsers */
  clip-path: polygon(10% 0, 100% 0, 100% 100%, 0 100%);
  z-index: -2;
}
#login .wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  overflow: hidden;
}
#login .login-wrapper {
  width: 100%;
  margin: 0 !important;
  padding: 0 !important;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80%;
  transition: 0.5s ease;
}
#login .signup-wrapper {
  width: 100%;
  margin: 0 !important;
  padding: 0 !important;
  position: absolute;
  top: 50%;
  left: 200%;
  transform: translate(-50%, -50%);
  width: 80%;
  transition: 0.5s ease;
}
#login #signup-link,
#login #login-link {
  text-decoration: none;
  border: none;
  background: none;
  color: blue;
  font-weight: bold;
  font-size: 14px;
}
#login form {
  width: 100%;
}
#login form input[type="text"],
#login form input[type="password"],
#login form div {
  text-decoration: none;
  font-size: 14px !important;
  margin-bottom: 10px !important;
}
#login form .form-control {
  padding: 1.3rem 1rem !important;
}
#login form input:focus {
  box-shadow: none;
}
#login h3 {
  font-family: lobster;
  font-weight: bold;
  color: #363636;
  margin-bottom: 1.5rem;
  text-align:center;
  margin-top:10px;
    
}
#login a {
  text-decoration: none;
  font-weight: bold;
}
#login form div:last-child {
  margin-top: 1.5rem;
}
#login form input[type="button"],
#login form input[type="submit"] {
  border-radius: 50px;
  border: none;
  padding: 0.5rem 1rem;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
  margin-left:35%;
  width:25%;
  
}
#login .signup-text {
  font-size: 14px;
}
#login .social-group {
  display: flex;
  justify-content: center;
  align-items: center;
}
#login .social-group img {
  width: 40px;
  height: 40px;
  margin: 0 0.5rem;
}
#login .close {
  position: absolute;
  top: 4%;
  right: 5%;
  color: black;
  z-index: 10;
}

/* =================================== */
/* footer */
/* =================================== */
footer {
  min-height: 50vh;
  border-top: 2px solid #222;
  background-image: linear-gradient(to right, #0098d6 0%, #00cbd6 100%);
  position: relative;
}
footer:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("../assets/backgrounds/footer-back.webp");
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: bottom;
  z-index: 10;
}
footer:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #222;
  z-index: 11;
  animation: zoom 5s linear infinite;
  opacity: 0.5;
}
.copyright {
  background: #131414;
  text-align: center;
  padding: 0.5rem;
  font-size: 14px;
}
footer .container {
  position: relative;
  z-index: 20;
  margin-top: 20px;
  color: whitesmoke;
}
footer .footer-col.one {
  text-align: left;
}
footer .footer-col.one img {
  background: white;
  padding: 0.5rem;
  border-radius: 3px;
  margin: 1rem 0;
}
footer .footer-col.one div {
  display: flex;
  align-items: flex-start;
  margin: 0.8rem 0;
}
footer .footer-col.one div * {
  /* border: 1px solid; */
}
footer .footer-col.one div i {
  margin: 0 0.5rem;
  width: 25px;
  margin-top: 5px !important;
}
footer .footer-col.one p {
  font-size: 14px;
  margin: 0;
  padding: 0;
}
footer .footer-col.three h3,
footer .footer-col.two h3 {
  border-bottom: 1px inset;
  position: relative;
  padding: 1rem 0.5rem;
  font-size: 25px;
}
footer .footer-col.three h3:after,
footer .footer-col.two h3:after {
  content: "";
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 40%;
  height: 5px;
  background: whitesmoke;
  z-index: 2;
}
footer .footer-col.three span {
  position: relative;
}
footer .footer-col.three input {
  width: 80%;
  border: none;
  border-radius: 50px;
  padding: 0.5rem 40px 0.5rem 1rem;
  font-size: 14px;
  margin: 1rem 0;
}
footer .footer-col.three span i {
  color: #222;
  position: absolute;
  top: 50%;
  right: 10px;
  font-size: 18px;
  transform: translate(-50%, -50%);
}
footer .footer-col.three p {
  margin: 1rem 0;
}
footer .footer-col.three i {
  font-size: 25px;
  margin-right: 3px;
  transition: 0.5s ease;
  cursor: pointer;
}
footer .footer-col.three i:hover {
  color: #222;
}
footer .footer-col.two p {
  margin: 0;
}
footer .footer-col.two p a {
  text-decoration: none;
  color: whitesmoke;
  font-size: 14px;
}

.cart-icon {
  color: white;
  text-decoration: none;
  margin-right: 20px;
}

.login-btn {
  background: black;
}
.google-login-btn {
  width: 200px;
  background: #4385f4;
}

footer .container .img-fluid {
  width: 220px;
  height: 60.86px;
}
